Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.messaging
Class JavaSerializedDeserializer

    java.lang.Object
      rice.pastry.messaging.JavaSerializedDeserializer

All Implemented Interfaces:
  MessageDeserializer

Direct Known Subclasses:
  PJavaSerializedDeserializer

    public class JavaSerializedDeserializer

extends java.lang.Object
implements MessageDeserializer

Handles "old" java serialized messages for programming convienience and reverse compatability.

Author:
  Jeff Hoye

Field Summary
`protected PastryNode` | `pn`

Constructor Summary
`JavaSerializedDeserializer(PastryNode pn)`

Method Summary
`Message` | `deserialize(InputBuffer buf, short type, int priority, NodeHandle sender)` Typical implementation: RawMessage ret = super.deserialize(); if (ret != null) return ret; Endpoint endpoint; switch(type) { case 1: return new MyMessage(buf, endpoint); }
`void` | `setAlwaysUseJavaSerialization(boolean val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pn

    protected PastryNode pn

Constructor Detail

### JavaSerializedDeserializer

    public JavaSerializedDeserializer(PastryNode pn)

Method Detail

### setAlwaysUseJavaSerialization

    public void setAlwaysUseJavaSerialization(boolean val)

### deserialize

    public Message deserialize(InputBuffer buf,
                               short type,
                               int priority,
                               NodeHandle sender)
                        throws java.io.IOException

  Description copied from interface: `MessageDeserializer`
  Typical implementation: RawMessage ret = super.deserialize(); if (ret != null) return ret; Endpoint endpoint; switch(type) { case 1: return new MyMessage(buf, endpoint); }

  Specified by:
    `deserialize` in interface `MessageDeserializer`
  Parameters:
    `buf` - accessor to the bytes
    `type` - the message type, defined in RawMessage.getType()
    `priority` - the priority of the message
    `sender` - the sender of the Message (may be null if not specified).
  Returns:
    The deserialized message.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.